--------------------------------------------------------------------------------
LIBRARY IEEE;
USE IEEE.Std_Logic_1164.all;
--------------------------------------------------------------------------------

--------------------------------------------------------------------------------
ENTITY configurable_u8 IS
  PORT(
      D_B : IN std_logic_vector(7 downto 0):=(OTHERS => 'U');
      Q_B : OUT std_logic_vector(7 downto 0);
      G : IN std_logic:='U'
  );
END configurable_u8;
--------------------------------------------------------------------------------

--------------------------------------------------------------------------------
ARCHITECTURE structure OF configurable_u8 IS
BEGIN
    PROCESS(G, D_B)
    BEGIN
        IF (G = '0') THEN
            Q_B <= D_B;
        END IF;
    END PROCESS;
END structure;
--------------------------------------------------------------------------------
